#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define PI (4.0*atan(1.0))

int main()
{
  double M=20.0;
  double dM=90.0/M;
  double n=1.3334;
  double i,i0,r,r0,k;
  for (k=1.0; k<=M; k++){
    i=asin(k/M);
    r=asin(sin(i)/n);
    printf("# %f deg\n %f %f\n %f %f\n %f %f\n %f %f\n %f %f\n\n",
// degree
            i/PI*180.0,
// initial
           -10.0,
            sin(i),
// incident
           -cos(i),
            sin(i),
// reflect
            cos( -i+2*r ),
            sin( -i+2*r ),
// outgoing
           -cos( -i+4*r ),
           -sin( -i+4*r ),
// final
           -cos( -i+4*r )-10.0*cos( -2*i+4*r ),
           -sin( -i+4*r )-10.0*sin( -2*i+4*r ) );
  }
  i0=acos(sqrt((n*n-1.0)/3.0));
  r0=4*asin(sin(i0)/n)-2*i0;
  printf("# %f %f\n",i0/PI*180.0,r0/PI*180.0);
}
