#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define PI (4.0*atan(1.0))

int main()
{
  double x,x0,x1,x2,x3,t0,t1,t2,t3;
  double n=(4.0/3.0);
  double s=50.0;
  double vi=4.0;
  double vr=vi/n;
/* original source code
  for (x=0.0; x<=2.0*s; x+=1.0){
    t = sqrt(s*s+x*x)/vi + sqrt(s*s+(2*s-x)*(2*s-x))/vr;
    printf("%2.1f %f\n",x,t);
  }
*/
  printf("\\centering \n");
  printf("\\begin{tabular}{r|lr|lr|lr|l} \n");
  printf("$x$[m] & $t$[s] & \n");
  printf("$x$[m] & $t$[s] & \n");
  printf("$x$[m] & $t$[s] & \n");
  printf("$x$[m] & $t$[s] \\\\ \n");
    for (x=1.0; x<=25; x+=1.0){
      x0 = x;
      x1 = x+25;
      x2 = x+50;
      x3 = x+75;
      t0 = sqrt(s*s+x0*x0)/vi + sqrt(s*s+(2*s-x0)*(2*s-x0))/vr;
      t1 = sqrt(s*s+x1*x1)/vi + sqrt(s*s+(2*s-x1)*(2*s-x1))/vr;
      t2 = sqrt(s*s+x2*x2)/vi + sqrt(s*s+(2*s-x2)*(2*s-x2))/vr;
      t3 = sqrt(s*s+x3*x3)/vi + sqrt(s*s+(2*s-x3)*(2*s-x3))/vr;
      printf("%3.0f & %7.4f & %3.0f & %7.4f & %3.0f & %7.4f & %3.0f & %7.4f \\\\ \n",
             x0,t0,x1,t1,x2,t2,x3,t3);
    }
  printf("\\end{tabular} \n");
}
